package de.bsvrz.buv.plugin.bmvew;


/**
 * Durch Implementierung kann man sich bei der Klasse {@link DaVKommunikation} ber eingeganene Betriebsmeldungen
 * Informieren.
 * 
 * @author HofmannJ
 * 
 */
public interface IBetriebsmeldungListener
{

  /**
   * Dieser Listener wird aktiv, sobald eine oder mehrere Betriebsmeldungen eingegangen sind. Diese werden als Liste vom
   * Typ BetriebsmeldungEvent geliefert.
   * 
   * @param e
   */
  public void betriebsmeldungEingang(BetriebsmeldungEreignis e);
}
