package de.bsvrz.buv.plugin.syskal;

import java.util.EventObject;
import java.util.List;

public class SystemKalenderEreignis extends EventObject
{
  private static final long serialVersionUID = 1365256169927819794L;

  /**
   * Liste der SystemkalenderEintraege
   */
  private List<Eintrag> _eintraege = null;

  /**
   * Konstruktor
   * 
   * @param quelle
   *          Quelle des Events.
   * @param eintraege
   *          SystemkalenderEintraege.
   */
  public SystemKalenderEreignis(Object quelle, List<Eintrag> eintraege)
  {
    super(quelle);
    this._eintraege = eintraege;
  }

  /**
   * Liefert die empfangenen SystemkalenderEintraege zurck.
   * 
   * @return SystemkalenderEintraege.
   */
  public List<Eintrag> getSystemKalenderEintraege()
  {
    return this._eintraege;
  }

}
