package de.bsvrz.buv.plugin.sim;

import java.util.EventObject;
import java.util.List;

/**
 */
public class SimulationEreignis extends EventObject
{
  // /**
  // * Der aktuelle Zustand der Simulation
  // */
  // SimulationsZustand _simulationsZustand = null;
  //	
  // /**
  // * Datensatz der Simulation
  // */
  // Simulation _simulation = null;

  /**
   * Die Liste der Simulationen
   */
  List<Simulation> _simulationen = null;

  // /**
  // * @param source
  // * @param simulationsZustand
  // * @param simulation
  // */
  // public SimulationEreignis(Object source, SimulationsZustand simulationsZustand, Simulation simulation)
  // {
  // super(source);
  // this._simulationsZustand = simulationsZustand;
  // this._simulation = simulation;
  // _simulation.getSimulationssteuerungDaten().setAktuellerZustand(_simulationsZustand);
  // }

  /**
   * Konstruktor der Klasse
   * 
   * @param source
   * @param simulationen
   */
  public SimulationEreignis(Object source, List<Simulation> simulationen)
  {
    super(source);
    _simulationen = simulationen;
  }

  // /**
  // * Liefert den genderten Zustand der Simulation
  // * @return Genderter Simulationszustand
  // */
  // public SimulationsZustand getGeaenderterZustand()
  // {
  // return this._simulationsZustand;
  // }
  //	
  // /**
  // * Liefert die Simulation, fr die sich der Zustand gendert hat.
  // * @return Simulation mit gendertem Zustand.
  // */
  // public Simulation getSimulation()
  // {
  // return this._simulation;
  // }

  /**
   * Generierte Serial ID
   */
  private static final long serialVersionUID = -5649815794991773344L;

  /**
   * Holt die Liste der Simulationen
   * 
   * @return
   */
  public List<Simulation> getSimulationen()
  {
    return _simulationen;
  }

}
