package de.bsvrz.buv.plugin.syskal;


/**
 * Durch Implementierung kann man sich bei der Klasse {@link DaVKommunikation} ber eingeganene Systemkalendereintraege
 * Informieren.
 * 
 * @author HofmannJ
 * 
 */
public interface ISystemKalenderListener
{

  /**
   * Dieser Listener wird aktiv, sobald eine oder mehrere Systemkalendereintraege eingegangen sind. Diese werden als
   * Liste vom Typ SystemKalenderEreignis geliefert.
   * 
   * @param e
   */
  public void systemKalenderEingang(SystemKalenderEreignis e);
}
